List models
curl --request GET \
--url https://devx.{environment}.oleria.io/v1/schema/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://devx.{environment}.oleria.io/v1/schema/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devx.{environment}.oleria.io/v1/schema/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"name": "oleria_identity",
"description": "Identity and access data model for Oleria platform"
},
{
"name": "oleria_governance",
"description": "Governance and compliance data model"
}
]
}{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}Schema
List models
Returns a list of all semantic models available to the caller. Use this endpoint to discover model names before querying specific model details.
GET
/
v1
/
schema
/
models
List models
Authorizations
OAuth 2.0 Client Credentials flow. The tokenUrl shown is for the production environment. For other environments, replace prod with the target environment name (e.g., auth.staging.oleria.io for staging).
Response
List of available semantic models
Show child attributes
Show child attributes
Was this page helpful?
⌘I

